## kdeutils-trinity 3.5.13.2

=== CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( kdeutils )

set( PACKAGE kdeutils )
set( VERSION R14 )


##### include essential cmake modules ###########

include( FindPkgConfig )
include( CheckIncludeFile )
include( CheckLibraryExists )
include( CheckSymbolExists )
include( CheckFunctionExists )
include( CheckCSourceCompiles )
include( CheckCXXSourceCompiles )
include( CheckTypeSize )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff ############################

option( WITH_DPMS "Enable Display Power Management Signaling support" OFF )
option( WITH_XSCREENSAVER "Enable xscreensaver support" OFF )
option( WITH_ASUS "Enable asus laptop support" OFF )
option( WITH_POWERBOOK "Enable powerbook laptop support" OFF )
option( WITH_POWERBOOK2 "Enable powerbook2 laptop support" OFF )
option( WITH_VAIO "Enable vaio laptop support" OFF )
option( WITH_THINKPAD "Enable thinkpad laptop support" OFF )
option( WITH_I8K "Enable dell laptop support" OFF )
option( WITH_SNMP "Enable SNMP support" OFF )
option( WITH_SENSORS "Enable lm_sensors support" OFF )
option( WITH_XMMS "Enable xmms support" OFF )
option( WITH_KNEWSTUFF "Enable knewstuff support" OFF )

# option( WITH_NV "Enable nv support" OFF )


##### options comments ##########################

# WITH_DPMS         affects klaptopdaemon
# WITH_DPMS         description enables the klaptopdaemon to take into account
#                               the state of DPMS X extention to determine is
#                               there any user activity.
# WITH_DPMS         requires libXext to build
# WITH_XSCREENSAVER affects klaptopdaemon
# WITH_XSCREENSAVER description this makes klaptopdaemon not to register user
#                               events when screensaver is disabled.
# WITH_ASUS         affects kmilo 
# WITH_POWERBOOK    affects kmilo
# WITH_POWERBOOK    requires pbbuttonsd
# WITH_POWERBOOK2   affects kmilo
# WITH_POWERBOOK2   requires pbbuttonsd
# WITH_VAIO         affects kmilo
# WITH_THINKPAD     affects kmilo
# WITH_I8K          affects kmilo ksim
# WITH_SNMP         affects ksim
# WITH_SENSORS      affects ksim
# WITH_XMMS         affects superkaramba
# WITH_XMMS         description enables supercaramba applets to gain 
#                               information about now playing track etc.
# WITH_KNEWSTUFF    affects superkaramba
# WITH_KNEWSTUFF    description enebles support for downloadable content
#                               from kdelooks.
# FIXME: test if WITH_KNEWSTUFF works in trinity or not

# NOTE: In addition to affects DPMS and XScreenSaver backend options for 
#       klaptopdaemon there is some XIdle code but it wasn't compleatly 
#       implemented and disabled permanently.

# NOTE: WITH_<laptop> options controls what kamilo modules will be build

# NOTE: WITH_{SENSORS,SNMP,I8K} options for ksim determin which ksim modules
#       will be build.

# NOTE: WITH_XMMS doesn't requires xmms2 palayer to be compiled.


##### user requested modules ####################

option( BUILD_ALL "Build all" OFF )
option( BUILD_DOC "Build documentation" ${BUILD_ALL} )
option( BUILD_ARK "Build ark" ${BUILD_ALL} )
option( BUILD_CHARSELECTAPPLET "Build charselectapplet" ${BUILD_ALL} )
option( BUILD_KCALC "Build kcalc" ${BUILD_ALL} )
option( BUILD_KCHARSELECT "Build kcharselect" ${BUILD_ALL} )
option( BUILD_KDELIRC "Build kdelirc" ${BUILD_ALL} )
option( BUILD_KDESSH "Build kdessh" ${BUILD_ALL} )
option( BUILD_KDF "Build kdf" ${BUILD_ALL} )
option( BUILD_KEDIT "Build kedit" ${BUILD_ALL} )
option( BUILD_KFLOPPY "Build kfloppy" ${BUILD_ALL} )
option( BUILD_KGPG "Build kgpg" ${BUILD_ALL} )
option( BUILD_KHEXEDIT "Build khexedit" ${BUILD_ALL} )
option( BUILD_KJOTS "Build kjots" ${BUILD_ALL} )
option( BUILD_KLAPTOPDAEMON "Build klaptopdaemon" ${BUILD_ALL} )
option( BUILD_KMILO "Build kmilo" ${BUILD_ALL} )
option( BUILD_KREGEXPEDITOR "Build kregexpeditor" ${BUILD_ALL} )
option( BUILD_KSIM "Build ksim" ${BUILD_ALL} )
option( BUILD_KTIMER "Build ktimer" ${BUILD_ALL} )
option( BUILD_KWALLET "Build kwallet" ${BUILD_ALL} )

option( BUILD_SUPERKARAMBA "Build superkaramba" ${BUILD_ALL} )

##### add apidox targets ############

add_custom_target(apidox
  COMMAND "./generate_apidox" "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" "${HTML_INSTALL_DIR}" "/usr/share/qt3/doc/html"
  WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/cmake/")

add_custom_target(install-apidox
  COMMAND "./install_apidox" "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" "${HTML_INSTALL_DIR}" "${CMAKE_INSTALL_PREFIX}"
  WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/cmake/")

##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions(
  -DHAVE_CONFIG_H
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined" )


##### kdeutils directories ######################

tde_conditional_add_subdirectory( BUILD_ARK ark )
tde_conditional_add_subdirectory( BUILD_DOC doc )
tde_conditional_add_subdirectory( BUILD_CHARSELECTAPPLET charselectapplet )
tde_conditional_add_subdirectory( BUILD_KCALC kcalc )
tde_conditional_add_subdirectory( BUILD_KCHARSELECT kcharselect )
tde_conditional_add_subdirectory( BUILD_KDELIRC kdelirc )
tde_conditional_add_subdirectory( BUILD_KDESSH kdessh )
tde_conditional_add_subdirectory( BUILD_KDF kdf )
tde_conditional_add_subdirectory( BUILD_KEDIT kedit )
tde_conditional_add_subdirectory( BUILD_KFLOPPY kfloppy )
tde_conditional_add_subdirectory( BUILD_KGPG kgpg )
tde_conditional_add_subdirectory( BUILD_KHEXEDIT khexedit )
tde_conditional_add_subdirectory( BUILD_KJOTS kjots )
tde_conditional_add_subdirectory( BUILD_KLAPTOPDAEMON klaptopdaemon )
tde_conditional_add_subdirectory( BUILD_KMILO kmilo )
tde_conditional_add_subdirectory( BUILD_KREGEXPEDITOR kregexpeditor )
tde_conditional_add_subdirectory( BUILD_KSIM ksim )
tde_conditional_add_subdirectory( BUILD_KTIMER ktimer )
tde_conditional_add_subdirectory( BUILD_KWALLET kwallet )
tde_conditional_add_subdirectory( BUILD_SUPERKARAMBA superkaramba )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

=== charselectapplet/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kcharselect_panelapplet (kpart) ###########

tde_add_kpart( kcharselect_panelapplet AUTOMOC
  SOURCES charselectapplet.cpp
  LINK kdeui-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES kcharselectapplet.desktop
  DESTINATION ${DATA_INSTALL_DIR}/kicker/applets
)

=== kcharselect/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kcharselect (executable) ##################

tde_add_executable( kcharselect AUTOMOC
  SOURCES kcharselectdia.cc main.cc
  LINK kdeui-shared
  DESTINATION ${BIN_INSTALL_DIR} 
)


##### icons #####################################

tde_install_icons( kcharselect)


##### other data ################################

install( FILES kcharselectui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kcharselect
)

install( FILES KCharSelect.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR}
)

install( FILES kcharselect.upd
  DESTINATION ${KCONF_UPDATE_INSTALL_DIR}
)

=== kdelirc/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( icons )
add_subdirectory( irkick )
add_subdirectory( kcmlirc )
add_subdirectory( kdelirc )
add_subdirectory( profiles )
add_subdirectory( remotes )

=== kdessh/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

add_definitions(
  -DQT_NO_CAST_ASCII
)


##### kdessh (executable) #######################

tde_add_executable( kdessh AUTOMOC
  SOURCES kdessh.cpp sshdlg.cpp
  LINK kdeui-shared kdesu-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== kdf/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( pics )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kdf_common (static) #######################

tde_add_library( kdf_common STATIC_PIC AUTOMOC
  SOURCES kdfwidget.cpp kdfconfig.cpp
    mntconfig.cpp disklist.cpp disks.cpp
    listview.cpp optiondialog.cpp stdoption.cpp
  LINK kdeui-shared kio-shared
)


##### kdf (executable) ##########################

tde_add_executable( kdf AUTOMOC
  SOURCES kdf.cpp
  LINK kdf_common-static 
  DESTINATION ${BIN_INSTALL_DIR}
)


##### kwikdisk (executable) #####################

tde_add_executable( kwikdisk AUTOMOC
  SOURCES kwikdisk.cpp
  LINK kdf_common-static
  DESTINATION ${BIN_INSTALL_DIR}
)


##### kcm_kdf (kpart) ###########################

tde_add_kpart( kcm_kdf AUTOMOC
  SOURCES kcmdf.cpp
  LINK kdf_common-static
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES kdfui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kdf
)

install( FILES kdf.desktop kwikdisk.desktop
  kcmdf.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR}
)

=== kedit/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( pixmaps )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kedit (kdeinit) ###########################

tde_add_kdeinit_executable( kedit AUTOMOC
  SOURCES kedit.cpp ktextfiledlg.cpp misc.ui
    color.ui prefs.kcfgc
  LINK kdeprint-shared
)


##### other data ################################

install( FILES keditui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kedit
)

install( FILES KEdit.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR}
)

install( FILES kedit.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)

=== kjots/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( icons )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kjots (executable) ########################

tde_add_executable( kjots AUTOMOC
  SOURCES main.cpp KJotsMain.cpp kjotsentry.cpp
    kjotsedit.cpp kjotsbookmarks.cpp
    confpagefont.ui confpagemisc.ui
    KJotsSettings.kcfgc
  LINK kdeprint-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data ################################

install( FILES kjotsui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kjots
)

install( FILES Kjots.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR}
)

install( FILES kjots.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)

=== ksim/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( themes )
add_subdirectory( library )
add_subdirectory( monitors )
add_subdirectory( pics )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/library
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}/library
)


##### systeminfo (static) #######################

tde_add_library( systeminfo STATIC_PIC AUTOMOC
  SOURCES systeminfo.cpp
)


##### ksim_panelextension (kpart) ###############

tde_add_kpart( ksim_panelextension AUTOMOC
  SOURCES ksim.cpp ksimview.cpp ksimview.skel
    ksimsysinfo.cpp ksimsysinfo.skel
    ksimframe.cpp ksimpref.cpp monitorprefs.cpp
    generalprefs.cpp themeprefs.cpp
  LINK kio-shared ksimcore-shared systeminfo-static
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES ksim.desktop
  DESTINATION
    ${DATA_INSTALL_DIR}/kicker/extensions
)

install( FILES ksim_panelextensionrc
  DESTINATION ${CONFIG_INSTALL_DIR}
)

=== kwallet/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( icons )
add_subdirectory( konfigurator )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kwalletmanager (executable) ###############

tde_add_executable( kwalletmanager AUTOMOC
  SOURCES walletwidget.ui kwalletmanager.cpp
    kwalletmanager.skel main.cpp kwalletpopup.cpp
    kwalleteditor.cpp kwmapeditor.cpp
    allyourbase.cpp kbetterthankdialogbase.ui
  LINK kio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( kwalletmanager)


##### other data ################################

install( FILES kwalletmanager.rc kwalleteditor.rc
  DESTINATION ${DATA_INSTALL_DIR}/kwalletmanager
)

install( FILES kwalletmanager.desktop
  kwalletmanager-kwalletd.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR}
)

=== doc/kwallet/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION kwallet )

=== kdelirc/icons/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_install_icons( DESTINATION ${DATA_INSTALL_DIR}/irkick/icons )

=== debian/changelog ===
kdeutils-trinity (4:3.5.13.2-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Jun 2013 05:04:07 +0200

kdeutils-trinity (4:3.5.10-0ubuntu3) karmic; urgency=low

  * Fixed Ark crash

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 03 Dec 2009 02:00:00 -0600

kdeutils-trinity (4:3.5.10-0ubuntu2) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

kdeutils-trinity (4:3.5.10-0ubuntu1~intrepid4) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 01 March 2009 17:29:00 -0600

kdeutils-trinity (4:3.5.10-0ubuntu1~intrepid3) intrepid; urgency=low

  * SVN import

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 27 Sep 2008 20:25:00 -0600

kdeutils (4:3.5.10-0ubuntu1~hardy1) hardy-backports; urgency=low

  * New upstream bugfix release (LP: #261366)
    - Bump version of build-dep on kdelibs4-dev, kdebase-dev, and
      libkonq4-dev to 3.5.10

 -- Scott Kitterman <scott@kitterman.com>  Tue, 26 Aug 2008 00:18:37 -0400

kdeutils (4:3.5.9-0ubuntu3) hardy; urgency=low

  * Edited debian/patches/kubuntu_14_kmilo_powermanager.diff:
    Brightness, suspend and hibernate events removed. (LP: #151444)

 -- Andreas Wenning <awen@awen.dk>  Fri, 21 Mar 2008 03:44:17 +0100

kdeutils (4:3.5.9-0ubuntu2) hardy; urgency=low

  * Fix build-failure in patch 14_kmilo_actions.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 03 Mar 2008 11:12:36 +0000

kdeutils (4:3.5.9-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Feb 2008 12:27:08 +0000

kdeutils (4:3.5.8-1ubuntu7) hardy; urgency=low

  * debian/patches/kubuntu_14_kmilo_powermanager.diff:
    Added Brightness Down & Up key actions (DCOP call to Guidance
    Power-Manager). Fixed all DCOP calls to recent change of
    application top level name (power-manager -> guidance).

 -- Luka Renko <lure@ubuntu.com>  Sun, 10 Feb 2008 20:45:42 +0100

kdeutils (4:3.5.8-1ubuntu6) hardy; urgency=low

  * Rebuild against latest libqt3-mt

 -- Anthony Mercatante <tonio@kubuntu>  Thu, 24 Jan 2008 15:00:58 +0100

kdeutils (4:3.5.8-1ubuntu5) hardy; urgency=low

  * kgpg: Add depend on konsole

 -- Terence Simpson <stdin@stdin.me.uk>  Tue, 08 Jan 2008 13:18:21 +0000

kdeutils (4:3.5.8-1ubuntu4) hardy; urgency=low

  * Add kubuntu_18_kmilo_rear_speakers_volume.diff from X2B to correctly
    adjust volume for surround sound speaker systems

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Dec 2007 12:12:48 +0000

kdeutils (4:3.5.8-1ubuntu3) hardy; urgency=low

  * Rebuild for libsnmp10 -> libsnmp15 transition.
  * s/developers/Developers/ for the Maintainer field.

 -- Steve Kowalik <stevenk@ubuntu.com>  Mon, 10 Dec 2007 20:31:22 +1100

kdeutils (4:3.5.8-1ubuntu2) hardy; urgency=low

  * Run buildprep before upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Nov 2007 10:55:31 +0000

kdeutils (4:3.5.8-1ubuntu1) hardy; urgency=low

  * Merge with Debian, remaining change
   - Add package kmilo-legacy

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Nov 2007 17:25:45 +0000

kdeutils (4:3.5.8-1) unstable; urgency=low

  * Implement the use of uploaders.mk and update control.

  +++ Changes by Ana Beatriz Guerrero Lopez:
  
  * New upstream release:
    + Remove patch 16_klaptopdaemon_lock_and_hibernate, applied upstream.
  * Bye, bye, xmms. Remove xmms support in superkaramba.
  * Redo buildprep and bump build-dependencies to 3.5.8

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 14 Oct 2007 12:52:24 +0200

kdeutils (4:3.5.7-3) unstable; urgency=low

  * New patch for 16_klaptopdaemon_lock_and_hibernate, take 3. Thanks to Raul 
    again. (Closes: #416824)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 03 Jul 2007 15:58:20 +0200

kdeutils (4:3.5.7-2) unstable; urgency=low

  * Redone patch 16_klaptopdaemon_lock_and_hibernate. Thanks to Raúl Sánchez 
    Siles again. (Closes: #416824)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 18 Jun 2007 21:38:07 +0200

kdeutils (4:3.5.8-0ubuntu2) hardy; urgency=low

  * Added kubuntu_17_zoo_extraction_fix.diff, fixes zoo extraction
    support. Patch from SVN

 -- Anthony Mercatante <tonio@ubuntu.com>  Thu, 25 Oct 2007 15:41:44 +0200

kdeutils (4:3.5.8-0ubuntu1) gutsy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Oct 2007 11:41:26 +0100

kdeutils (4:3.5.7-1ubuntu4) gutsy; urgency=low

  * debian/control: drop xmms-dev to allow xmms to move to universe, adjust
   maintainer field.

 -- Kees Cook <kees@ubuntu.com>  Thu, 21 Jun 2007 13:59:49 -0700

kdeutils (4:3.5.7-1ubuntu3) gutsy; urgency=low

  * Added kubuntu_16_ark_utf8.diff
    Fixed encoding issue opening rar and zip files.

 -- Anthony Mercatante <tonio@kubuntu.com>  Thu, 14 Jun 2007 13:17:22 +0200

kdeutils (4:3.5.7-1ubuntu2) gutsy; urgency=low

  * Added the compact look kmilo patch kubuntu_15_kmilo_compact_look.diff from
    http://blog.guillermoamaral.com/2007/04/14/patch-kde-kmilo-compact-dialog/

 -- Ryan Kavanagh <ryanakca@kubuntu.com>  Sat, 26 May 2007 11:04:06 -0400

kdeutils (4:3.5.7-1ubuntu1) gutsy; urgency=low

  * Merge with Debian for new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 May 2007 16:45:43 +0100

kdeutils (4:3.5.7-1) unstable; urgency=low

  * New upstream release:
    + Adapt patch 15 about klaptop daemon filenames.
  * Change build-deps from libsnmp10-dev to libsnmp-dev.
  * Add patch to use unrar-free if available. (Closes: #423170)

 -- Sune Vuorela <debian@pusling.com>  Tue, 15 May 2007 21:31:36 +0200

kdeutils (4:3.5.6-2ubuntu1) gutsy; urgency=low

  * Merge with Debian
  * Remaining changes in KUBUNTU-DEBIAN-DIFFERENCES

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Apr 2007 20:32:55 +0100



=== debian/control ===
Source: kdeutils-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Fathi Boudra <fboudra@free.fr>, Josh Metzler <joshdeb@metzlers.org>, Sune Vuorela <debian@pusling.com>
Build-Depends: libasound2-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 5.0.31), quilt, cmake, autotools-dev, gawk, gettext, kdelibs4-trinity-dev (>= 4:3.5.10), kdebase-trinity-dev (>= 4:3.5.10), libkonq4-trinity-dev (>= 4:3.5.10), libgmp3-dev, libsnmp-dev, libxpm-dev, python-dev, libxtst-dev, xutils, sharutils, automake, autoconf, libtool, libltdl-dev
Build-Depends-Indep: doxygen, libtqtinterface-doc, graphviz, gsfonts-x11, kdelibs4-trinity-doc
Standards-Version: 3.8.4

Package: kdeutils-trinity
Section: kde
Architecture: all
Depends: ark-trinity (>= ${Source-Version}), kcalc-trinity (>= ${Source-Version}), kcharselect-trinity (>= ${Source-Version}), kdelirc-trinity (>= ${Source-Version}), kdessh-trinity (>= ${Source-Version}), kdf-trinity (>= ${Source-Version}), kedit-trinity (>= ${Source-Version}), kfloppy-trinity (>= ${Source-Version}), kgpg-trinity (>= ${Source-Version}), khexedit-trinity (>= ${Source-Version}), kjots-trinity (>= ${Source-Version}), klaptopdaemon-trinity (>= ${Source-Version}) | kpowersave-trinity, kmilo-trinity (>= ${Source-Version}), kregexpeditor-trinity (>= ${Source-Version}), ksim-trinity (>= ${Source-Version}), ktimer-trinity (>= ${Source-Version}), kwalletmanager-trinity (>= ${Source-Version}), superkaramba-trinity (>= ${Source-Version})
Suggests: kdeutils-trinity-doc-html (>= ${Source-Version})
Description: general purpose utilities from the official Trinity release
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of general purpose utilities 
 provided with the official release of Trinity.

Package: kdeutils-trinity-doc
Section: doc
Architecture: all
Description: developer documentation for the KDE utilities module
 This package contains documentation for the KDE utilities module, of
 use more for developers creating applications than regular users.
 .
 This package is part of Trinity, and a component of the KDE utilities module.
 See the 'kde-trinity' and 'kdeutils-trinity' packages for more information.

Package: kdeutils-trinity-doc-html
Architecture: all
Section: doc
Suggests: konqueror-trinity | www-browser, kdebase-trinity
Description: Trinity utilities documentation in HTML format
 By default the modules provided by KDE only provide their documentation
 in KDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the KDE utilities documentation
 converted to HTML format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /usr/share/doc/tde/HTML/<language>/<app>/, for instance
 /usr/share/doc/tde/HTML/en/ark/. Documentation is provided for most
 KDE utilities packages.
 .
 This package is part of Trinity, as a component of the KDE utilities module.
 See the 'kde-trinity' and 'kdeutils-trinity' packages for more information.

Package: kdeutils-trinity-dev
Section: utils
Architecture: any
Depends: ark-trinity (= ${Source-Version}), kcalc-trinity (= ${Source-Version}), kdelirc-trinity (= ${Source-Version}), kedit-trinity (= ${Source-Version}), khexedit-trinity (= ${Source-Version}), klaptopdaemon-trinity (= ${Source-Version}), kmilo-trinity (= ${Source-Version}), kregexpeditor-trinity (= ${Source-Version}), ksim-trinity (= ${Source-Version}), kdelibs4-trinity-dev (>= 4:3.5.8)
Description: development files for the Trinity utilities module
 This package contains development files needed to compile kdeutils
 applications.
 .
 This package is part of Trinity, as a component of the KDE utilities module.
 See the 'kde-trinity' and 'kdeutils-trinity' packages for more information.

Package: ark-trinity
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Recommends: ncompress, unzip, zip, zoo, bzip2, p7zip-full, xz-utils, lzma
Suggests: khelpcenter-trinity, rar, unrar | unrar-free
Replaces: kdebase-data-trinity (<< 4:3.3.91)
Description: graphical archiving tool for Trinity
 Ark is a graphical program for managing various archive formats within the
 KDE environment. Archives can be viewed, extracted, created and modified
 from within Ark.
 .
 The program can handle various formats such as tar, gzip, bzip2, zip, rar and
 lha (if appropriate command-line programs are installed).
 .
 Ark can work closely with Konqueror in the KDE environment to handle archives,
 if you install the Konqueror Integration plugin available in the konq-plugins
 package.
 .
 This package is part of Trinity, as a component of the KDE utilities module.
 See the 'kde-trinity' and 'kdeutils-trinity' packages for more information.

Package: kcalc-trinity
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Replaces: kdebase-data-trinity (<< 4:3.3.91)
Description: calculator for Trinity
 KCalc is KDE's scientific calculator.
 .
 It provides:
  * trigonometric functions, logic operations, and statistical calculations
  * easy cut and paste of numbers from/into its display
  * a results-stack which lets you conveniently recall previous results
  * configurable precision, and number of digits after the period
 .
 This package is part of Trinity, as a component of the KDE utilities module.
 See the 'kde-trinity' and 'kdeutils-trinity' packages for more information.

Package: kcharselect-trinity
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: character selector for Trinity
 A character set selector for KDE.
 .
 This package is part of Trinity, as a component of the KDE utilities module.
 See the 'kde-trinity' and 'kdeutils-trinity' packages for more information.

Package: kdelirc-trinity
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: infrared control for Trinity
 This is a frontend for the LIRC suite to use infrared devices with KDE.
 .
 This package is part of Trinity, as a component of the KDE utilities module.
 See the 'kde-trinity' and 'kdeutils-trinity' packages for more information.

Package: kdessh-trinity
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, openssh-client | ssh-client
Description: ssh frontend for Trinity
 This package contains KDE's frontend for ssh.
 .
 This package is part of Trinity, as a component of the KDE utilities module.
 See the 'kde-trinity' and 'kdeutils-trinity' packages for more information.

Package: kdf-trinity
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: disk space utility for Trinity
 KDiskFree displays the available file devices (hard drive partitions, floppy
 and CD drives, etc.) along with information on their capacity, free space, type
 and mount point. It also allows you to mount and unmount drives and view them
 in a file manager.
 .
 This package is part of Trinity, as a component of the KDE utilities module.
 See the 'kde-trinity' and 'kdeutils-trinity' packages for more information.

Package: kedit-trinity
Section: editors
Architecture: any
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: basic text editor for Trinity
 A simple text editor for KDE.
 .
 It can be used with Konqueror for text and configuration file browsing.
 KEdit also serves well for creating small plain text documents. KEdit's
 functionality will intentionally remain rather limited to ensure a
 reasonably fast start.
 .
 This package is part of Trinity, as a component of the KDE utilities module.
 See the 'kde-trinity' and 'kdeutils-trinity' packages for more information.

Package: kfloppy-trinity
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, dosfstools
Suggests: khelpcenter-trinity
Description: floppy formatter for KDE
 Kfloppy is a utility that provides a straightforward graphical means
 to format 3.5" and 5.25" floppy disks.
 .
 This package is part of Trinity, as a component of the KDE utilities module.
 See the 'kde-trinity' and 'kdeutils-trinity' packages for more information.

Package: kgpg-trinity
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, konsole-trinity (>= 4:3.5.8), gnupg
Suggests: khelpcenter-trinity
Description: GnuPG frontend for Trinity
 Kgpg is a frontend for GNU Privacy Guard (GnuPG). It provides file
 encryption, file decryption and key management.
 .
 Features:
   * an editor mode for easily and quickly encrypting or decrypting a file
     or message which is typed, copied, pasted or dragged into the editor,
     or which is double-clicked in the file manager
   * Konqueror integration for encrypting or decrypting files
   * a panel applet for encrypting / decrypting files or the clipboard
     contents, etc.
   * key management functions (generation, import, export, deletion and
     signing)
   * decrypting clipboard contents, including integration with Klipper
 .
 This package is part of Trinity, as a component of the KDE utilities module.
 See the 'kde-trinity' and 'kdeutils-trinity' packages for more information.

Package: khexedit-trinity
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: Trinity hex editor
 KHexEdit is an editor for the raw data of binary files.  It includes
 find/replace functions, bookmarks, many configuration options, drag and drop
 support and other powerful features.
 .
 This package is part of Trinity, as a component of the KDE utilities module.
 See the 'kde-trinity' and 'kdeutils-trinity' packages for more information.

Package: kjots-trinity
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: note taking utility for Trinity
 Kjots is a small note taker program. Name and idea are taken from the jots
 program included in the tkgoodstuff package.
 .
 This package is part of Trinity, as a component of the KDE utilities module.
 See the 'kde-trinity' and 'kdeutils-trinity' packages for more information.

Package: klaptopdaemon-trinity
Section: kde
Architecture: any
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: battery monitoring and management for laptops using KDE
 This package contains utilities to monitor batteries and configure
 power management, for laptops, from within KDE.
 .
 This package is part of Trinity, as a component of the KDE utilities module.
 See the 'kde-trinity' and 'kdeutils-trinity' packages for more information.

Package: kmilo-trinity
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description:  laptop special keys support for Trinity
 KMilo lets you use the special keys on some keyboards and laptops.
 .
 Usually this includes volume keys and other features. Currently, KMilo
 comes with plugins for Powerbooks, Thinkpads, Vaios and generic keyboards
 with special keys.
 .
 This package is part of Trinity, as a component of the KDE utilities module.
 See the 'kde-trinity' and 'kdeutils-trinity' packages for more information.

Package: kmilo-legacy-trinity
Section: utils
Architecture: any
Depends: kmilo-trinity, ${shlibs:Depends}
Description:  non-standard plugins for KMilo
 KMilo lets you use the special keys on some keyboards and laptops.
 .
 Usually this includes volume keys and other features. Currently, KMilo
 comes with plugins for Powerbooks, Thinkpads and Vaios.
 .
 In Debian the intention is that all laptops work with the generic kmilo
 plugin, if you need this package please file a bug.
 .

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-qt-kde.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_KDE_APIDOX := yes

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_DPMS="ON" \
 -DWITH_ASUS="ON" \
 -DWITH_VAIO="ON" \
 -DWITH_THINKPAD="ON" \
 -DWITH_I8K="ON" \
 -DWITH_SNMP="ON" \
 -DWITH_SENSORS="ON" \
 -DWITH_XMMS="ON" \
 -DWITH_KNEWSTUFF="ON"

DOC_HTML_PRUNE := kcontrol-trinity kinfocenter-trinity ktimer-trinity kcharselect-trinity ksim-trinity

DEB_DH_STRIP_ARGS  := --exclude=examples --dbg-package=kdeutils-trinity-dbg

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

PACKAGES_WITH_LIBS := khexedit-trinity klaptopdaemon-trinity kmilo-trinity kregexpeditor-trinity ksim-trinity

DEB_DH_MAKESHLIBS_ARGS_khexedit-trinity		:= -V'khexedit-trinity (>= 4:3.5.8-1)'
DEB_DH_MAKESHLIBS_ARGS_klaptopdaemon-trinity	:= -V'klaptopdaemon-trinity (>= 4:3.5.8-1)'
DEB_DH_MAKESHLIBS_ARGS_kmilo-trinity		:= -V'kmilo-trinity (>= 4:3.5.8-1)'
DEB_DH_MAKESHLIBS_ARGS_kregexpeditor-trinity	:= -V'kregexpeditor-trinity (>= 4:3.5.8-1)'
DEB_DH_MAKESHLIBS_ARGS_ksim-trinity		:= -V'ksim-trinity (>= 4:3.5.7-1)'

#shlibs_ver = 4:3.5.0-1
#$(foreach p,$(PACKAGES_WITH_LIBS),$(eval DEB_DH_MAKESHLIBS_ARGS_$(p) := -V'$(p) (>= $(shlibs_ver))'))

binary-install/superkaramba-trinity::
	rm -f debian/superkaramba/opt/trinity/share/doc/superkaramba/examples/globalMouse/xcursor.so
